import { ThemeProps } from "./";
export declare type PrimaryButtonProps = (prop: ThemeProps) => {
    borderRadius?: string | number;
    background?: string;
    color?: string;
    transition?: string;
    "&:hover"?: any;
    "&:active"?: any;
};
export declare const primaryButton: ({ palette }: ThemeProps) => {
    borderRadius: string;
    background: string;
    color: string;
    transition: string;
    '&:hover': {
        background: string;
    };
    '&:active': {
        boxShadow: string;
    };
};
